petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetDMKSPWrite

get write access to private DMKSP context from a DM

### Synopsis

    #include "petscksp.h"
    PetscErrorCode DMGetDMKSPWrite(DM dm,DMKSP *kspdm)

Logically Collective

### Input Argument

dm -DM to be used with KSP

### Output Argument

kspdm -private DMKSP context

### See Also

DMGetDMKSP()

### Level

developer

### Location

src/ksp/ksp/interface/dmksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages